PropertiesContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.properties
Class PropertiesContainer

    java.lang.Object
      net.ctdp.rfdynhud.properties.PropertiesContainer

Direct Known Subclasses:
  FlatPropertiesContainer

    public abstract class PropertiesContainer

extends java.lang.Object

A container for `Widget` `Property`s.

Author:
  Marvin Froehlich

Constructor Summary
`protected` | `PropertiesContainer()`

Method Summary
`void` | `addGroup(java.lang.Object groupName)` Creates a new property group on the same level (initially expanded).
`void` | `addGroup(java.lang.Object groupName, boolean initiallyExpanded)` Creates a new property group on the same level.
`protected abstract void` | `addGroupImpl(java.lang.Object groupName, boolean initiallyExpanded, boolean pushed)` Adds a new group to the container.
`void` | `addProperty(Property property)` Adds the property to the container under the last created group.
`protected abstract void` | `addPropertyImpl(Property property)`
`void` | `clear()` Clears the container.
`protected abstract void` | `clearImpl()` Clears the container.
`void` | `dump()` Dumps this container to stdout.
`abstract void` | `dump(java.io.PrintStream ps)` Dumps this container to the given `PrintStream`.
`int` | `getLevel()` Gets the current group level.
`void` | `popGroup()` Finishes the current group and moves one level up.
`protected abstract void` | `popGroupImpl()` Pop one level up.
`void` | `pushGroup(java.lang.Object groupName)` Creates a new property group inside the current group (pushed one level down).
`void` | `pushGroup(java.lang.Object groupName, boolean initiallyExpanded)` Creates a new property group inside the current group (pushed one level down).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesContainer

    protected PropertiesContainer()

Method Detail

### getLevel

    public final int getLevel()

  Gets the current group level.

  Returns:
    the current group level.

### clearImpl

    protected abstract void clearImpl()

  Clears the container.

### clear

    public final void clear()

  Clears the container.

### addGroupImpl

    protected abstract void addGroupImpl(java.lang.Object groupName,
                                         boolean initiallyExpanded,
                                         boolean pushed)

  Adds a new group to the container.

  Parameters:
    `groupName` - the new group's name
    `initiallyExpanded` - initially expanded?
    `pushed` - pushed one level down?

### pushGroup

    public final void pushGroup(java.lang.Object groupName,
                                boolean initiallyExpanded)

  Creates a new property group inside the current group (pushed one level down).

  Parameters:
    `groupName` - the new group's name
    `initiallyExpanded` - initially expanded?

### pushGroup

    public final void pushGroup(java.lang.Object groupName)

  Creates a new property group inside the current group (pushed one level down).

  Parameters:
    `groupName` - the new group's name

### popGroupImpl

    protected abstract void popGroupImpl()

  Pop one level up.

### popGroup

    public final void popGroup()

  Finishes the current group and moves one level up.

### addGroup

    public final void addGroup(java.lang.Object groupName,
                               boolean initiallyExpanded)

  Creates a new property group on the same level.

  Parameters:
    `groupName` - the new group's name
    `initiallyExpanded` - initially expanded?

### addGroup

    public final void addGroup(java.lang.Object groupName)

  Creates a new property group on the same level (initially expanded).

  Parameters:
    `groupName` - the new group's name

### addPropertyImpl

    protected abstract void addPropertyImpl(Property property)

### addProperty

    public final void addProperty(Property property)

  Adds the property to the container under the last created group.

  Parameters:
    `property` - the property

### dump

    public abstract void dump(java.io.PrintStream ps)

  Dumps this container to the given `PrintStream`.

  Parameters:
    `ps` - the stream to print to

### dump

    public final void dump()

  Dumps this container to stdout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD